/**************************************************************************/
/* GE32 ( 送信履歴テーブル )                                              */
/*                                                                        */
/* Created : 2010/05/07 16:07:45                                          */
/**************************************************************************/
CREATE TABLE GE32 (
   YKNO      NUMERIC(9)      DEFAULT 0   NOT NULL                  /* 10  要求ＮＯ       */
 , PARA_KEY  VARCHAR(9)                                            /* 20  パラメータキー */
 , PTN_ID    VARCHAR(20)                                           /* 30  定型文ID       */
 , SYSTEM_ID VARCHAR(10)                 NOT NULL                  /* 40  システムID     */
 , FROM_ADDR VARCHAR(100)                NOT NULL                  /* 50  送信元         */
 , TITLE     VARCHAR(300)                                          /* 60  タイトル       */
 , CONTENTS  BLOB                                                  /* 70  内容           */
 , ATTACH1   VARCHAR(256)                                          /* 80  添付１         */
 , ATTACH2   VARCHAR(256)                                          /* 90  添付２         */
 , ATTACH3   VARCHAR(256)                                          /* 100 添付３         */
 , ATTACH4   VARCHAR(256)                                          /* 110 添付４         */
 , ATTACH5   VARCHAR(256)                                          /* 120 添付５         */
 , UNIQ      BIGINT                      NOT NULL PRIMARY KEY      /* 130 ユニークキー   */
 , FGJ       VARCHAR(1)      DEFAULT '1' NOT NULL                  /* 140 状態フラグ     */
 , DYSET     VARCHAR(14)                                           /* 150 登録日時       */
 , PGSET     VARCHAR(10)                                           /* 160 作成PG         */
 , PGPSET    VARCHAR(10)                                           /* 170 作成親PG       */
 , USRSET    VARCHAR(10)                                           /* 180 作成社員       */
 , DYUPD     VARCHAR(14)                                           /* 190 更新日時       */
 , PGUPD     VARCHAR(10)                                           /* 200 更新PG         */
 , PGPUPD    VARCHAR(10)                                           /* 210 更新親PG       */
 , USRUPD    VARCHAR(10)                                           /* 220 更新者         */
);

CREATE SEQUENCE GE32S01 ;


CREATE TRIGGER GE32T01 FOR GE32
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GE32S01,1 );
  END; 


